ru.yandex.clickhouse.response

## Class StreamSplitter

- java.lang.Object
- - ru.yandex.clickhouse.response.StreamSplitter

    public class StreamSplitter
    extends Object

We have a stream of bytes and a separator as an input. We split the stream by the separator and pass the byte arrays to output.

### Constructor Summary

Constructors
Constructor and Description
`StreamSplitter(ByteFragment bf, byte sep)`
`StreamSplitter(InputStream delegate, byte sep)`
`StreamSplitter(InputStream delegate, byte sep, int buflen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ByteFragment` `next()`
`protected int` `readFromStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamSplitter

    public StreamSplitter(ByteFragment bf,
                          byte sep)

#### StreamSplitter

    public StreamSplitter(InputStream delegate,
                          byte sep,
                          int buflen)

#### StreamSplitter

    public StreamSplitter(InputStream delegate,
                          byte sep)

### Method Detail

#### next

    public ByteFragment next()
                      throws IOException

Throws:
  `IOException`

#### readFromStream

    protected int readFromStream()
                          throws IOException

Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`